animaux = [ {'nom':'Medor', 'espece':'chien', 'age':5, 'enclos':2},
            {'nom':'Titine', 'espece':'chat', 'age':2, 'enclos':5},
            {'nom':'Tom', 'espece':'chat', 'age':7, 'enclos':4},
            {'nom':'Belle', 'espece':'chien', 'age':6, 'enclos':3},
            {'nom':'Mirza', 'espece':'chat', 'age':6, 'enclos':5}]

def selection_enclos(table_animaux, num_enclos):
    table = []
    for dico in table_animaux:
        if dico['enclos'] == num_enclos:
            table.append(dico)
    return table

if __name__=='__main__':
    
    print(selection_enclos(animaux, 5))
    #[{'nom':'Titine', 'espece':'chat', 'age':2, 'enclos':5},
     #{'nom':'Mirza', 'espece':'chat', 'age':6, 'enclos':5}]
    print(selection_enclos(animaux, 2))
    #[{'nom':'Medor', 'espece':'chien', 'age':5, 'enclos':2}]
    print(selection_enclos(animaux, 7))
    #[]